using System;
using System.Collections.Generic;
using System.Threading;
using System.Threading.Tasks;

namespace Knot.Contracts.Messaging.Abstractions;

public interface IMessageQueryService
{
    Task<List<MessageInfo>> GetAllMessagesAsync(CancellationToken cancellationToken);
    Task DeleteMessagesAsync(List<Guid> messageIds, CancellationToken cancellationToken);
}

public record MessageInfo(Guid Id, Guid ChatId, bool IsDeleted, string? MediaUrl);
